.TH PROMETHEUS-SQUID-EXPORTER 1 "January 2019" "1.4" "prometheus-squid-exporter man page"
.SH NAME
prometheus-squid-exporter \- Prometheus exporter which exposes Squid proxy
server metrics obtained via the cache manager API.
.SH SYNOPSIS
prometheus-squid-exporter [options]
.SH DESCRIPTION
This exporter parses Squid proxy server metrics from the cache manager API and
exposes them as Prometheus metrics, including:

.IP \[bu]
Cache hit counters
.IP \[bu]
Client HTTP request / byte counters
.IP \[bu]
Server HTTP / FTP requests
.IP \[bu]
Request error counters

.SH OPTIONS

.IP "\f[B]\-listen\f[] \f[I]string\f[]"
Address on which to expose exporter (default ":9301").

.IP "\f[B]\-metrics\-path\f[] \f[I]string\f[]"
Path under which to expose metrics (default "/metrics").

.IP "\f[B]\-squid\-hostname\f[] \f[I]string\f[]"
Squid server to connect to (default "localhost").

.IP "\f[B]\-squid\-port\f[] \f[I]int\f[]"
Squid cache manager port (default: 3128).

.IP "\f[B]\-squid\-login\f[] \f[I]string\f[]"
Optional username for Squid cache manager HTTP basic authentication.

.IP "\f[B]\-squid\-password\f[] \f[I]string\f[]"
Optional password for Squid cache manager HTTP basic authentication.

.IP "\f[B]\-squid\-pidfile\f[] \f[I]string\f[]"
Optional path to the squid PID file for additional metrics.

.IP "\f[B]\-label\f[] \f[I]value\f[]"
Custom metrics to attach to metrics, use -label multiple times for each
additional label.

.IP "\f[B]\-version\f[]"
Print version and exit.

.SH ENVIRONMENT
The following environment variables can be used to override default parameters:

.IP \[bu]
SQUID_EXPORTER_LISTEN
.IP \[bu]
SQUID_EXPORTER_METRICS_PATH
.IP \[bu]
SQUID_HOSTNAME
.IP \[bu]
SQUID_PORT
.IP \[bu]
SQUID_LOGIN
.IP \[bu]
SQUID_PASSWORD

.SH SEE ALSO
\f[B]squid\f[](8)
.SH AUTHOR
Mohamad Arab <boynux@gmail.com>
